# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class AbstractExtension.AttributesHandler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.AbstractExtension.AttributesHandler

Direct Known Subclasses:
  ExtensionPoint.ExtensionHandler

Enclosing class:
  AbstractExtension

    protected class AbstractExtension.AttributesHandler

extends XmlParser.ElementHandler

Base class for custom element handlers that uses `AttributeHelper` to consume the attributes and the element's text content.

Field Summary

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`AbstractExtension.AttributesHandler(org.xml.sax.Attributes attrs)` Constructor.

Method Summary
`void` `processEndElement()` Called to process this element when the closing tag is encountered.

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExtension.AttributesHandler

    public AbstractExtension.AttributesHandler(org.xml.sax.Attributes attrs)

  Constructor.

  Parameters:
    `attrs` - XML attributes or `null` to suppress the use of `AttributeHelper`

Method Detail

### processEndElement

    public void processEndElement()
                           throws ParseException

  Description copied from class: `XmlParser.ElementHandler`
  Called to process this element when the closing tag is encountered. The default implementation refuses to accept text() content, unless the handler is configured to accept unrecognized XML with mixed content.

  Overrides:
    `processEndElement` in class `XmlParser.ElementHandler`
  Throws:
    `ParseException`